/*
 * Copyright 1999-2015 dangdang.com.
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * </p>
 */

package io.shardingsphere.dbtest.config.bean;

import lombok.Getter;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.LinkedList;
import java.util.List;

@Getter
@XmlRootElement(name = "asserts")
public class DataSetsAssert {
    
    @XmlAttribute(name = "sharding-rule-types")
    private String shardingRuleTypes = "db,dbtbl,nullable";
    
    @XmlAttribute(name = "database-types")
    private String databaseTypes = "H2,MySQL,Oracle,SQLServer,PostgreSQL";
    
    @XmlElement(name = "dql-assert")
    private List<DQLDataSetAssert> dqlDataSetAsserts = new LinkedList<>();
    
    @XmlElement(name = "dml-assert")
    private List<DMLDataSetAssert> dmlDataSetAsserts = new LinkedList<>();
    
    @XmlElement(name = "ddl-assert")
    private List<DDLDataSetAssert> ddlDataSetAsserts = new LinkedList<>();
}
